/************************** SunDst ***************************
 * by Ewald Kendziorra sr, 2016 www.kendziorra.nl            * 
 * Before you start: read the SunDst information in "info.h" *
 *************************************************************/

#ifndef DST_H
#define DST_H


// Public
void calcDst();        // DST calc, using time now()   (UTC)
void calcDst(time_t);  // DST calc, using a other time (UTC)

boolean isDST = false;    // is set after calcDst(), calcDst(time_t)
time_t dstStart, dstEnd;  // is set after calcDst(), calcDst(time_t)

// extra date/time functions
time_t calcTimeStamp(uint8_t, uint8_t, uint8_t, uint8_t, uint8_t, uint16_t);
uint16_t yearDay(time_t);
uint16_t yearDay(uint8_t, uint8_t, uint16_t);
boolean leapYear(uint16_t);

// Private

#endif
